addpath('../PublicData/DukeWebSite/Pittman_zip');

txt2mat2('MatlabFiles/AdriaTrainingGeneIDs.csv');
movefile('descriptions.mat','MatlabFiles/AdriaTrainingDescriptions.mat');

UserOptions.excel='MatlabFiles/AdriaTrainingQuant.csv';
UserOptions.descFile='MatlabFiles/AdriaTrainingDescriptions.mat';
UserOptions.genes=80;
UserOptions.metagenes=5;
UserOptions.burnin=1000;
UserOptions.iteration=100;
UserOptions.skips=2;
UserOptions.CI=5;
UserOptions.crossvalidation=1;
UserOptions.normalization=1;

silent = 0;
run_binreg(UserOptions, silent);

figure(1);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/AdriaTrainingPCA.png');
print('-dpdf','MatlabFiles/Figures/AdriaTrainingPCA.pdf');
print('-depsc','MatlabFiles/Figures/AdriaTrainingPCA.eps');

figure(2);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/AdriaTrainingMetaWts.png');
print('-dpdf','MatlabFiles/Figures/AdriaTrainingMetaWts.pdf');
print('-depsc','MatlabFiles/Figures/AdriaTrainingMetaWts.eps');

figure(3);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/AdriaTrainingProbVsWt.png');
print('-dpdf','MatlabFiles/Figures/AdriaTrainingProbVsWt.pdf');
print('-depsc','MatlabFiles/Figures/AdriaTrainingProbVsWt.eps');

figure(5);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/AdriaTrainingCrossVal.png');
print('-dpdf','MatlabFiles/Figures/AdriaTrainingCrossVal.pdf');
print('-depsc','MatlabFiles/Figures/AdriaTrainingCrossVal.eps');

figure(11);
set(gcf,'Color','w');
title('Adria, 80 Genes');
xlabel('Samples');
ylabel('Genes');
print('-dpng','MatlabFiles/Figures/AdriaTrainingHeatmap.png');
print('-dpdf','MatlabFiles/Figures/AdriaTrainingHeatmap.pdf');
print('-depsc','MatlabFiles/Figures/AdriaTrainingHeatmap.eps');

silent = 1;
run_binreg(UserOptions, silent);

load('plotdata.mat');
save('MatlabFiles/AdriaTrainingPlotData.mat','Silent','-V6');

movefile('imagegenelist.txt','MatlabFiles/AdriaTrainingImageGeneList.txt');
movefile('topgenecoeffs.txt','MatlabFiles/AdriaTrainingTopGeneCoeffs.txt');
movefile('trainingcases.txt','MatlabFiles/AdriaTrainingTrainingCases.txt');
movefile('normalisedX.txt','MatlabFiles/AdriaTrainingNormalisedX.txt');

quit;
