addpath('../PublicData/DukeWebSite/Pittman_zip');

txt2mat2('MatlabFiles/CytoxTrainingGeneIDs.csv');
movefile('descriptions.mat','MatlabFiles/CytoxTrainingDescriptions.mat');

UserOptions.excel='MatlabFiles/CytoxTrainingQuant.csv';
UserOptions.descFile='MatlabFiles/CytoxTrainingDescriptions.mat';
UserOptions.genes=35;
UserOptions.metagenes=5;
UserOptions.burnin=1000;
UserOptions.iteration=100;
UserOptions.skips=2;
UserOptions.CI=5;
UserOptions.crossvalidation=1;
UserOptions.normalization=1;

silent = 0;
run_binreg(UserOptions, silent);

figure(1);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/CytoxTrainingPCA.png');
print('-dpdf','MatlabFiles/Figures/CytoxTrainingPCA.pdf');
print('-depsc','MatlabFiles/Figures/CytoxTrainingPCA.eps');

figure(2);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/CytoxTrainingMetaWts.png');
print('-dpdf','MatlabFiles/Figures/CytoxTrainingMetaWts.pdf');
print('-depsc','MatlabFiles/Figures/CytoxTrainingMetaWts.eps');

figure(3);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/CytoxTrainingProbVsWt.png');
print('-dpdf','MatlabFiles/Figures/CytoxTrainingProbVsWt.pdf');
print('-depsc','MatlabFiles/Figures/CytoxTrainingProbVsWt.eps');

figure(5);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/CytoxTrainingCrossVal.png');
print('-dpdf','MatlabFiles/Figures/CytoxTrainingCrossVal.pdf');
print('-depsc','MatlabFiles/Figures/CytoxTrainingCrossVal.eps');

figure(11);
set(gcf,'Color','w');
title('Cytox, 35 Genes');
xlabel('Samples');
ylabel('Genes');
print('-dpng','MatlabFiles/Figures/CytoxTrainingHeatmap.png');
print('-dpdf','MatlabFiles/Figures/CytoxTrainingHeatmap.pdf');
print('-depsc','MatlabFiles/Figures/CytoxTrainingHeatmap.eps');

silent = 1;
run_binreg(UserOptions, silent);

load('plotdata.mat');
save('MatlabFiles/CytoxTrainingPlotData.mat','Silent','-V6');

movefile('imagegenelist.txt','MatlabFiles/CytoxTrainingImageGeneList.txt');
movefile('topgenecoeffs.txt','MatlabFiles/CytoxTrainingTopGeneCoeffs.txt');
movefile('trainingcases.txt','MatlabFiles/CytoxTrainingTrainingCases.txt');
movefile('normalisedX.txt','MatlabFiles/CytoxTrainingNormalisedX.txt');

quit;
