addpath('../PublicData/DukeWebSite/Pittman_zip');

txt2mat2('MatlabFiles/DoceTrainAndTestGeneIDs.csv');
movefile('descriptions.mat','MatlabFiles/DoceTrainAndTestDescriptions.mat');

UserOptions.excel='MatlabFiles/DoceTrainAndTestQuant.csv';
UserOptions.descFile='MatlabFiles/DoceTrainAndTestDescriptions.mat';
UserOptions.genes=50;
UserOptions.metagenes=5;
UserOptions.burnin=1000;
UserOptions.iteration=100;
UserOptions.skips=2;
UserOptions.CI=5;
UserOptions.crossvalidation=1;
UserOptions.normalization=1;

silent = 0;
run_binreg(UserOptions, silent);

figure(1);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/DoceTrainAndTestPCA.png');
print('-dpdf','MatlabFiles/Figures/DoceTrainAndTestPCA.pdf');
print('-depsc','MatlabFiles/Figures/DoceTrainAndTestPCA.eps');

figure(2);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/DoceTrainAndTestMetaWts.png');
print('-dpdf','MatlabFiles/Figures/DoceTrainAndTestMetaWts.pdf');
print('-depsc','MatlabFiles/Figures/DoceTrainAndTestMetaWts.eps');

figure(3);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/DoceTrainAndTestProbVsWt.png');
print('-dpdf','MatlabFiles/Figures/DoceTrainAndTestProbVsWt.pdf');
print('-depsc','MatlabFiles/Figures/DoceTrainAndTestProbVsWt.eps');

figure(4);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/DoceTrainAndTestProbVsWtTest.png');
print('-dpdf','MatlabFiles/Figures/DoceTrainAndTestProbVsWtTest.pdf');
print('-depsc','MatlabFiles/Figures/DoceTrainAndTestProbVsWtTest.eps');

figure(5);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/DoceTrainAndTestCrossVal.png');
print('-dpdf','MatlabFiles/Figures/DoceTrainAndTestCrossVal.pdf');
print('-depsc','MatlabFiles/Figures/DoceTrainAndTestCrossVal.eps');

figure(11);
set(gcf,'Color','w');
title('Doce, 50 Genes');
xlabel('Samples');
ylabel('Genes');
print('-dpng','MatlabFiles/Figures/DoceTrainAndTestHeatmap.png');
print('-dpdf','MatlabFiles/Figures/DoceTrainAndTestHeatmap.pdf');
print('-depsc','MatlabFiles/Figures/DoceTrainAndTestHeatmap.eps');

silent = 1;
run_binreg(UserOptions, silent);

load('plotdata.mat');
save('MatlabFiles/DoceTrainAndTestPlotData.mat','Silent','-V6');

movefile('imagegenelist.txt','MatlabFiles/DoceTrainAndTestImageGeneList.txt');
movefile('topgenecoeffs.txt','MatlabFiles/DoceTrainAndTestTopGeneCoeffs.txt');
movefile('trainingcases.txt','MatlabFiles/DoceTrainAndTestTrainingCases.txt');
movefile('normalisedX.txt','MatlabFiles/DoceTrainAndTestNormalisedX.txt');
movefile('validationcases.txt','MatlabFiles/DoceTrainAndTestValidationCases.txt');

silent = 0;
run_binreg_old(UserOptions, silent);

figure(1);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/DoceTrainAndTestOldPCA.png');
print('-dpdf','MatlabFiles/Figures/DoceTrainAndTestOldPCA.pdf');
print('-depsc','MatlabFiles/Figures/DoceTrainAndTestOldPCA.eps');

figure(2);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/DoceTrainAndTestOldMetaWts.png');
print('-dpdf','MatlabFiles/Figures/DoceTrainAndTestOldMetaWts.pdf');
print('-depsc','MatlabFiles/Figures/DoceTrainAndTestOldMetaWts.eps');

figure(3);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/DoceTrainAndTestOldProbVsWt.png');
print('-dpdf','MatlabFiles/Figures/DoceTrainAndTestOldProbVsWt.pdf');
print('-depsc','MatlabFiles/Figures/DoceTrainAndTestOldProbVsWt.eps');

figure(4);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/DoceTrainAndTestOldProbVsWtTest.png');
print('-dpdf','MatlabFiles/Figures/DoceTrainAndTestOldProbVsWtTest.pdf');
print('-depsc','MatlabFiles/Figures/DoceTrainAndTestOldProbVsWtTest.eps');

figure(5);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/DoceTrainAndTestOldCrossVal.png');
print('-dpdf','MatlabFiles/Figures/DoceTrainAndTestOldCrossVal.pdf');
print('-depsc','MatlabFiles/Figures/DoceTrainAndTestOldCrossVal.eps');

figure(11);
set(gcf,'Color','w');
title('Doce, 50 Genes');
xlabel('Samples');
ylabel('Genes');
print('-dpng','MatlabFiles/Figures/DoceTrainAndTestOldHeatmap.png');
print('-dpdf','MatlabFiles/Figures/DoceTrainAndTestOldHeatmap.pdf');
print('-depsc','MatlabFiles/Figures/DoceTrainAndTestOldHeatmap.eps');

silent = 1;
run_binreg_old(UserOptions, silent);

load('plotdata.mat');
save('MatlabFiles/DoceTrainAndTestOldPlotData.mat','Silent','-V6');

movefile('imagegenelist.txt','MatlabFiles/DoceTrainAndTestOldImageGeneList.txt');
movefile('topgenecoeffs.txt','MatlabFiles/DoceTrainAndTestOldTopGeneCoeffs.txt');
movefile('trainingcases.txt','MatlabFiles/DoceTrainAndTestOldTrainingCases.txt');
movefile('normalisedX.txt','MatlabFiles/DoceTrainAndTestOldNormalisedX.txt');
movefile('validationcases.txt','MatlabFiles/DoceTrainAndTestOldValidationCases.txt');

quit;
