addpath('../PublicData/DukeWebSite/Pittman_zip');

txt2mat2('MatlabFiles/DoceTrainingGeneIDs.csv');
movefile('descriptions.mat','MatlabFiles/DoceTrainingDescriptions.mat');

UserOptions.excel='MatlabFiles/DoceTrainingQuant.csv';
UserOptions.descFile='MatlabFiles/DoceTrainingDescriptions.mat';
UserOptions.genes=50;
UserOptions.metagenes=5;
UserOptions.burnin=1000;
UserOptions.iteration=100;
UserOptions.skips=2;
UserOptions.CI=5;
UserOptions.crossvalidation=1;
UserOptions.normalization=1;

silent = 0;
run_binreg(UserOptions, silent);

figure(1);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/DoceTrainingPCA.png');
print('-dpdf','MatlabFiles/Figures/DoceTrainingPCA.pdf');
print('-depsc','MatlabFiles/Figures/DoceTrainingPCA.eps');

figure(2);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/DoceTrainingMetaWts.png');
print('-dpdf','MatlabFiles/Figures/DoceTrainingMetaWts.pdf');
print('-depsc','MatlabFiles/Figures/DoceTrainingMetaWts.eps');

figure(3);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/DoceTrainingProbVsWt.png');
print('-dpdf','MatlabFiles/Figures/DoceTrainingProbVsWt.pdf');
print('-depsc','MatlabFiles/Figures/DoceTrainingProbVsWt.eps');

figure(5);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/DoceTrainingCrossVal.png');
print('-dpdf','MatlabFiles/Figures/DoceTrainingCrossVal.pdf');
print('-depsc','MatlabFiles/Figures/DoceTrainingCrossVal.eps');

figure(11);
set(gcf,'Color','w');
title('Doce, 50 Genes');
xlabel('Samples');
ylabel('Genes');
print('-dpng','MatlabFiles/Figures/DoceTrainingHeatmap.png');
print('-dpdf','MatlabFiles/Figures/DoceTrainingHeatmap.pdf');
print('-depsc','MatlabFiles/Figures/DoceTrainingHeatmap.eps');

silent = 1;
run_binreg(UserOptions, silent);

load('plotdata.mat');
save('MatlabFiles/DoceTrainingPlotData.mat','Silent','-V6');

movefile('imagegenelist.txt','MatlabFiles/DoceTrainingImageGeneList.txt');
movefile('topgenecoeffs.txt','MatlabFiles/DoceTrainingTopGeneCoeffs.txt');
movefile('trainingcases.txt','MatlabFiles/DoceTrainingTrainingCases.txt');
movefile('normalisedX.txt','MatlabFiles/DoceTrainingNormalisedX.txt');

quit;
