addpath('../PublicData/DukeWebSite/Pittman_zip');

txt2mat2('MatlabFiles/EtopoTrainingGeneIDs.csv');
movefile('descriptions.mat','MatlabFiles/EtopoTrainingDescriptions.mat');

UserOptions.excel='MatlabFiles/EtopoTrainingQuant.csv';
UserOptions.descFile='MatlabFiles/EtopoTrainingDescriptions.mat';
UserOptions.genes=50;
UserOptions.metagenes=5;
UserOptions.burnin=1000;
UserOptions.iteration=100;
UserOptions.skips=2;
UserOptions.CI=5;
UserOptions.crossvalidation=1;
UserOptions.normalization=1;

silent = 0;
run_binreg(UserOptions, silent);

figure(1);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/EtopoTrainingPCA.png');
print('-dpdf','MatlabFiles/Figures/EtopoTrainingPCA.pdf');
print('-depsc','MatlabFiles/Figures/EtopoTrainingPCA.eps');

figure(2);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/EtopoTrainingMetaWts.png');
print('-dpdf','MatlabFiles/Figures/EtopoTrainingMetaWts.pdf');
print('-depsc','MatlabFiles/Figures/EtopoTrainingMetaWts.eps');

figure(3);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/EtopoTrainingProbVsWt.png');
print('-dpdf','MatlabFiles/Figures/EtopoTrainingProbVsWt.pdf');
print('-depsc','MatlabFiles/Figures/EtopoTrainingProbVsWt.eps');

figure(5);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/EtopoTrainingCrossVal.png');
print('-dpdf','MatlabFiles/Figures/EtopoTrainingCrossVal.pdf');
print('-depsc','MatlabFiles/Figures/EtopoTrainingCrossVal.eps');

figure(11);
set(gcf,'Color','w');
title('Etopo, 50 Genes');
xlabel('Samples');
ylabel('Genes');
print('-dpng','MatlabFiles/Figures/EtopoTrainingHeatmap.png');
print('-dpdf','MatlabFiles/Figures/EtopoTrainingHeatmap.pdf');
print('-depsc','MatlabFiles/Figures/EtopoTrainingHeatmap.eps');

silent = 1;
run_binreg(UserOptions, silent);

load('plotdata.mat');
save('MatlabFiles/EtopoTrainingPlotData.mat','Silent','-V6');

movefile('imagegenelist.txt','MatlabFiles/EtopoTrainingImageGeneList.txt');
movefile('topgenecoeffs.txt','MatlabFiles/EtopoTrainingTopGeneCoeffs.txt');
movefile('trainingcases.txt','MatlabFiles/EtopoTrainingTrainingCases.txt');
movefile('normalisedX.txt','MatlabFiles/EtopoTrainingNormalisedX.txt');

quit;
