addpath('../PublicData/DukeWebSite/Pittman_zip');

txt2mat2('MatlabFiles/FiveFUTrainingGeneIDs.csv');
movefile('descriptions.mat','MatlabFiles/FiveFUTrainingDescriptions.mat');

UserOptions.excel='MatlabFiles/FiveFUTrainingQuant.csv';
UserOptions.descFile='MatlabFiles/FiveFUTrainingDescriptions.mat';
UserOptions.genes=45;
UserOptions.metagenes=5;
UserOptions.burnin=1000;
UserOptions.iteration=100;
UserOptions.skips=2;
UserOptions.CI=5;
UserOptions.crossvalidation=1;
UserOptions.normalization=1;

silent = 0;
run_binreg(UserOptions, silent);

figure(1);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/FiveFUTrainingPCA.png');
print('-dpdf','MatlabFiles/Figures/FiveFUTrainingPCA.pdf');
print('-depsc','MatlabFiles/Figures/FiveFUTrainingPCA.eps');

figure(2);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/FiveFUTrainingMetaWts.png');
print('-dpdf','MatlabFiles/Figures/FiveFUTrainingMetaWts.pdf');
print('-depsc','MatlabFiles/Figures/FiveFUTrainingMetaWts.eps');

figure(3);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/FiveFUTrainingProbVsWt.png');
print('-dpdf','MatlabFiles/Figures/FiveFUTrainingProbVsWt.pdf');
print('-depsc','MatlabFiles/Figures/FiveFUTrainingProbVsWt.eps');

figure(5);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/FiveFUTrainingCrossVal.png');
print('-dpdf','MatlabFiles/Figures/FiveFUTrainingCrossVal.pdf');
print('-depsc','MatlabFiles/Figures/FiveFUTrainingCrossVal.eps');

figure(11);
set(gcf,'Color','w');
title('5-FU, 45 Genes');
xlabel('Samples');
ylabel('Genes');
print('-dpng','MatlabFiles/Figures/FiveFUTrainingHeatmap.png');
print('-dpdf','MatlabFiles/Figures/FiveFUTrainingHeatmap.pdf');
print('-depsc','MatlabFiles/Figures/FiveFUTrainingHeatmap.eps');

silent = 1;
run_binreg(UserOptions, silent);

load('plotdata.mat');
save('MatlabFiles/FiveFUTrainingPlotData.mat','Silent','-V6');

movefile('imagegenelist.txt','MatlabFiles/FiveFUTrainingImageGeneList.txt');
movefile('topgenecoeffs.txt','MatlabFiles/FiveFUTrainingTopGeneCoeffs.txt');
movefile('trainingcases.txt','MatlabFiles/FiveFUTrainingTrainingCases.txt');
movefile('normalisedX.txt','MatlabFiles/FiveFUTrainingNormalisedX.txt');

quit;
