addpath('../PublicData/DukeWebSite/Pittman_zip');

txt2mat2('MatlabFiles/TaxolTrainingGeneIDs.csv');
movefile('descriptions.mat','MatlabFiles/TaxolTrainingDescriptions.mat');

UserOptions.excel='MatlabFiles/TaxolTrainingQuant.csv';
UserOptions.descFile='MatlabFiles/TaxolTrainingDescriptions.mat';
UserOptions.genes=36;
UserOptions.metagenes=5;
UserOptions.burnin=1000;
UserOptions.iteration=100;
UserOptions.skips=2;
UserOptions.CI=5;
UserOptions.crossvalidation=1;
UserOptions.normalization=1;

silent = 0;
run_binreg(UserOptions, silent);

figure(1);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/TaxolTrainingPCA.png');
print('-dpdf','MatlabFiles/Figures/TaxolTrainingPCA.pdf');
print('-depsc','MatlabFiles/Figures/TaxolTrainingPCA.eps');

figure(2);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/TaxolTrainingMetaWts.png');
print('-dpdf','MatlabFiles/Figures/TaxolTrainingMetaWts.pdf');
print('-depsc','MatlabFiles/Figures/TaxolTrainingMetaWts.eps');

figure(3);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/TaxolTrainingProbVsWt.png');
print('-dpdf','MatlabFiles/Figures/TaxolTrainingProbVsWt.pdf');
print('-depsc','MatlabFiles/Figures/TaxolTrainingProbVsWt.eps');

figure(5);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/TaxolTrainingCrossVal.png');
print('-dpdf','MatlabFiles/Figures/TaxolTrainingCrossVal.pdf');
print('-depsc','MatlabFiles/Figures/TaxolTrainingCrossVal.eps');

figure(11);
set(gcf,'Color','w');
title('Taxol, 36 Genes');
xlabel('Samples');
ylabel('Genes');
print('-dpng','MatlabFiles/Figures/TaxolTrainingHeatmap.png');
print('-dpdf','MatlabFiles/Figures/TaxolTrainingHeatmap.pdf');
print('-depsc','MatlabFiles/Figures/TaxolTrainingHeatmap.eps');

silent = 1;
run_binreg(UserOptions, silent);

load('plotdata.mat');
save('MatlabFiles/TaxolTrainingPlotData.mat','Silent','-V6');

movefile('imagegenelist.txt','MatlabFiles/TaxolTrainingImageGeneList.txt');
movefile('topgenecoeffs.txt','MatlabFiles/TaxolTrainingTopGeneCoeffs.txt');
movefile('trainingcases.txt','MatlabFiles/TaxolTrainingTrainingCases.txt');
movefile('normalisedX.txt','MatlabFiles/TaxolTrainingNormalisedX.txt');

quit;
