addpath('../PublicData/DukeWebSite/Pittman_zip');

txt2mat2('MatlabFiles/TopoTrainingGeneIDs.csv');
movefile('descriptions.mat','MatlabFiles/TopoTrainingDescriptions.mat');

UserOptions.excel='MatlabFiles/TopoTrainingQuant.csv';
UserOptions.descFile='MatlabFiles/TopoTrainingDescriptions.mat';
UserOptions.genes=150;
UserOptions.metagenes=5;
UserOptions.burnin=1000;
UserOptions.iteration=100;
UserOptions.skips=2;
UserOptions.CI=5;
UserOptions.crossvalidation=1;
UserOptions.normalization=1;

silent = 0;
run_binreg(UserOptions, silent);

figure(1);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/TopoTrainingPCA.png');
print('-dpdf','MatlabFiles/Figures/TopoTrainingPCA.pdf');
print('-depsc','MatlabFiles/Figures/TopoTrainingPCA.eps');

figure(2);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/TopoTrainingMetaWts.png');
print('-dpdf','MatlabFiles/Figures/TopoTrainingMetaWts.pdf');
print('-depsc','MatlabFiles/Figures/TopoTrainingMetaWts.eps');

figure(3);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/TopoTrainingProbVsWt.png');
print('-dpdf','MatlabFiles/Figures/TopoTrainingProbVsWt.pdf');
print('-depsc','MatlabFiles/Figures/TopoTrainingProbVsWt.eps');

figure(5);
set(gcf,'Color','w');
print('-dpng','MatlabFiles/Figures/TopoTrainingCrossVal.png');
print('-dpdf','MatlabFiles/Figures/TopoTrainingCrossVal.pdf');
print('-depsc','MatlabFiles/Figures/TopoTrainingCrossVal.eps');

figure(11);
set(gcf,'Color','w');
title('Topo, 150 Genes');
xlabel('Samples');
ylabel('Genes');
print('-dpng','MatlabFiles/Figures/TopoTrainingHeatmap.png');
print('-dpdf','MatlabFiles/Figures/TopoTrainingHeatmap.pdf');
print('-depsc','MatlabFiles/Figures/TopoTrainingHeatmap.eps');

silent = 1;
run_binreg(UserOptions, silent);

load('plotdata.mat');
save('MatlabFiles/TopoTrainingPlotData.mat','Silent','-V6');

movefile('imagegenelist.txt','MatlabFiles/TopoTrainingImageGeneList.txt');
movefile('topgenecoeffs.txt','MatlabFiles/TopoTrainingTopGeneCoeffs.txt');
movefile('trainingcases.txt','MatlabFiles/TopoTrainingTrainingCases.txt');
movefile('normalisedX.txt','MatlabFiles/TopoTrainingNormalisedX.txt');

quit;
